# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: eros/event/account.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from eros.api import account_pb2 as eros_dot_api_dot_account__pb2
from eros.api import profile_pb2 as eros_dot_api_dot_profile__pb2
from weclikd.common import subscription_pb2 as weclikd_dot_common_dot_subscription__pb2
from weclikd.common import follow_pb2 as weclikd_dot_common_dot_follow__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='eros/event/account.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x18\x65ros/event/account.proto\x12\x07weclikd\x1a\x16\x65ros/api/account.proto\x1a\x16\x65ros/api/profile.proto\x1a!weclikd/common/subscription.proto\x1a\x1bweclikd/common/follow.proto\"7\n\x12\x43reateAccountEvent\x12!\n\x07\x61\x63\x63ount\x18\x01 \x01(\x0b\x32\x10.weclikd.Account\"c\n\x17\x43hangeSubscriptionEvent\x12\x12\n\naccount_id\x18\x01 \x01(\x04\x12\x34\n\x04type\x18\x02 \x01(\x0e\x32&.weclikd.Subscription.SubscriptionType\"v\n$ChangeEmailNotificationSettingsEvent\x12\x12\n\naccount_id\x18\x01 \x01(\x04\x12:\n\x0e\x65mail_settings\x18\x02 \x01(\x0b\x32\".weclikd.EmailNotificationSettings\"4\n\x0f\x43reateUserEvent\x12!\n\x07profile\x18\x01 \x01(\x0b\x32\x10.weclikd.Profile\"2\n\rEditUserEvent\x12!\n\x07profile\x18\x01 \x01(\x0b\x32\x10.weclikd.Profile\"\"\n\x0f\x44\x65leteUserEvent\x12\x0f\n\x07user_id\x18\x01 \x01(\x04\":\n\x12\x44\x65leteAccountEvent\x12\x12\n\naccount_id\x18\x01 \x01(\x04\x12\x10\n\x08user_ids\x18\x02 \x03(\x04\"`\n\x0f\x46ollowUserEvent\x12\x0f\n\x07user_id\x18\x01 \x01(\x04\x12)\n\x08settings\x18\x02 \x01(\x0b\x32\x17.weclikd.FollowSettings\x12\x11\n\tfollowers\x18\x03 \x01(\r\"7\n\x11UnfollowUserEvent\x12\x0f\n\x07user_id\x18\x01 \x01(\x04\x12\x11\n\tfollowers\x18\x02 \x01(\rb\x06proto3'
  ,
  dependencies=[eros_dot_api_dot_account__pb2.DESCRIPTOR,eros_dot_api_dot_profile__pb2.DESCRIPTOR,weclikd_dot_common_dot_subscription__pb2.DESCRIPTOR,weclikd_dot_common_dot_follow__pb2.DESCRIPTOR,])




_CREATEACCOUNTEVENT = _descriptor.Descriptor(
  name='CreateAccountEvent',
  full_name='weclikd.CreateAccountEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='account', full_name='weclikd.CreateAccountEvent.account', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=149,
  serialized_end=204,
)


_CHANGESUBSCRIPTIONEVENT = _descriptor.Descriptor(
  name='ChangeSubscriptionEvent',
  full_name='weclikd.ChangeSubscriptionEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='account_id', full_name='weclikd.ChangeSubscriptionEvent.account_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='type', full_name='weclikd.ChangeSubscriptionEvent.type', index=1,
      number=2, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=206,
  serialized_end=305,
)


_CHANGEEMAILNOTIFICATIONSETTINGSEVENT = _descriptor.Descriptor(
  name='ChangeEmailNotificationSettingsEvent',
  full_name='weclikd.ChangeEmailNotificationSettingsEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='account_id', full_name='weclikd.ChangeEmailNotificationSettingsEvent.account_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='email_settings', full_name='weclikd.ChangeEmailNotificationSettingsEvent.email_settings', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=307,
  serialized_end=425,
)


_CREATEUSEREVENT = _descriptor.Descriptor(
  name='CreateUserEvent',
  full_name='weclikd.CreateUserEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='profile', full_name='weclikd.CreateUserEvent.profile', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=427,
  serialized_end=479,
)


_EDITUSEREVENT = _descriptor.Descriptor(
  name='EditUserEvent',
  full_name='weclikd.EditUserEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='profile', full_name='weclikd.EditUserEvent.profile', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=481,
  serialized_end=531,
)


_DELETEUSEREVENT = _descriptor.Descriptor(
  name='DeleteUserEvent',
  full_name='weclikd.DeleteUserEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='user_id', full_name='weclikd.DeleteUserEvent.user_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=533,
  serialized_end=567,
)


_DELETEACCOUNTEVENT = _descriptor.Descriptor(
  name='DeleteAccountEvent',
  full_name='weclikd.DeleteAccountEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='account_id', full_name='weclikd.DeleteAccountEvent.account_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='user_ids', full_name='weclikd.DeleteAccountEvent.user_ids', index=1,
      number=2, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=569,
  serialized_end=627,
)


_FOLLOWUSEREVENT = _descriptor.Descriptor(
  name='FollowUserEvent',
  full_name='weclikd.FollowUserEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='user_id', full_name='weclikd.FollowUserEvent.user_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='settings', full_name='weclikd.FollowUserEvent.settings', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='followers', full_name='weclikd.FollowUserEvent.followers', index=2,
      number=3, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=629,
  serialized_end=725,
)


_UNFOLLOWUSEREVENT = _descriptor.Descriptor(
  name='UnfollowUserEvent',
  full_name='weclikd.UnfollowUserEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='user_id', full_name='weclikd.UnfollowUserEvent.user_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='followers', full_name='weclikd.UnfollowUserEvent.followers', index=1,
      number=2, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=727,
  serialized_end=782,
)

_CREATEACCOUNTEVENT.fields_by_name['account'].message_type = eros_dot_api_dot_account__pb2._ACCOUNT
_CHANGESUBSCRIPTIONEVENT.fields_by_name['type'].enum_type = weclikd_dot_common_dot_subscription__pb2._SUBSCRIPTION_SUBSCRIPTIONTYPE
_CHANGEEMAILNOTIFICATIONSETTINGSEVENT.fields_by_name['email_settings'].message_type = eros_dot_api_dot_account__pb2._EMAILNOTIFICATIONSETTINGS
_CREATEUSEREVENT.fields_by_name['profile'].message_type = eros_dot_api_dot_profile__pb2._PROFILE
_EDITUSEREVENT.fields_by_name['profile'].message_type = eros_dot_api_dot_profile__pb2._PROFILE
_FOLLOWUSEREVENT.fields_by_name['settings'].message_type = weclikd_dot_common_dot_follow__pb2._FOLLOWSETTINGS
DESCRIPTOR.message_types_by_name['CreateAccountEvent'] = _CREATEACCOUNTEVENT
DESCRIPTOR.message_types_by_name['ChangeSubscriptionEvent'] = _CHANGESUBSCRIPTIONEVENT
DESCRIPTOR.message_types_by_name['ChangeEmailNotificationSettingsEvent'] = _CHANGEEMAILNOTIFICATIONSETTINGSEVENT
DESCRIPTOR.message_types_by_name['CreateUserEvent'] = _CREATEUSEREVENT
DESCRIPTOR.message_types_by_name['EditUserEvent'] = _EDITUSEREVENT
DESCRIPTOR.message_types_by_name['DeleteUserEvent'] = _DELETEUSEREVENT
DESCRIPTOR.message_types_by_name['DeleteAccountEvent'] = _DELETEACCOUNTEVENT
DESCRIPTOR.message_types_by_name['FollowUserEvent'] = _FOLLOWUSEREVENT
DESCRIPTOR.message_types_by_name['UnfollowUserEvent'] = _UNFOLLOWUSEREVENT
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

CreateAccountEvent = _reflection.GeneratedProtocolMessageType('CreateAccountEvent', (_message.Message,), {
  'DESCRIPTOR' : _CREATEACCOUNTEVENT,
  '__module__' : 'eros.event.account_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreateAccountEvent)
  })
_sym_db.RegisterMessage(CreateAccountEvent)

ChangeSubscriptionEvent = _reflection.GeneratedProtocolMessageType('ChangeSubscriptionEvent', (_message.Message,), {
  'DESCRIPTOR' : _CHANGESUBSCRIPTIONEVENT,
  '__module__' : 'eros.event.account_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ChangeSubscriptionEvent)
  })
_sym_db.RegisterMessage(ChangeSubscriptionEvent)

ChangeEmailNotificationSettingsEvent = _reflection.GeneratedProtocolMessageType('ChangeEmailNotificationSettingsEvent', (_message.Message,), {
  'DESCRIPTOR' : _CHANGEEMAILNOTIFICATIONSETTINGSEVENT,
  '__module__' : 'eros.event.account_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ChangeEmailNotificationSettingsEvent)
  })
_sym_db.RegisterMessage(ChangeEmailNotificationSettingsEvent)

CreateUserEvent = _reflection.GeneratedProtocolMessageType('CreateUserEvent', (_message.Message,), {
  'DESCRIPTOR' : _CREATEUSEREVENT,
  '__module__' : 'eros.event.account_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreateUserEvent)
  })
_sym_db.RegisterMessage(CreateUserEvent)

EditUserEvent = _reflection.GeneratedProtocolMessageType('EditUserEvent', (_message.Message,), {
  'DESCRIPTOR' : _EDITUSEREVENT,
  '__module__' : 'eros.event.account_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.EditUserEvent)
  })
_sym_db.RegisterMessage(EditUserEvent)

DeleteUserEvent = _reflection.GeneratedProtocolMessageType('DeleteUserEvent', (_message.Message,), {
  'DESCRIPTOR' : _DELETEUSEREVENT,
  '__module__' : 'eros.event.account_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.DeleteUserEvent)
  })
_sym_db.RegisterMessage(DeleteUserEvent)

DeleteAccountEvent = _reflection.GeneratedProtocolMessageType('DeleteAccountEvent', (_message.Message,), {
  'DESCRIPTOR' : _DELETEACCOUNTEVENT,
  '__module__' : 'eros.event.account_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.DeleteAccountEvent)
  })
_sym_db.RegisterMessage(DeleteAccountEvent)

FollowUserEvent = _reflection.GeneratedProtocolMessageType('FollowUserEvent', (_message.Message,), {
  'DESCRIPTOR' : _FOLLOWUSEREVENT,
  '__module__' : 'eros.event.account_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.FollowUserEvent)
  })
_sym_db.RegisterMessage(FollowUserEvent)

UnfollowUserEvent = _reflection.GeneratedProtocolMessageType('UnfollowUserEvent', (_message.Message,), {
  'DESCRIPTOR' : _UNFOLLOWUSEREVENT,
  '__module__' : 'eros.event.account_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.UnfollowUserEvent)
  })
_sym_db.RegisterMessage(UnfollowUserEvent)


# @@protoc_insertion_point(module_scope)
